# CNAME Record of a Host Name

The CNAME record of www.github.com: the name it is an alias of (github.com.).

Source: https://docs.deepinfo.com/reference/lookup/dns/examples/type-cname/

Last updated: 2026-09-24

---
`GET https://api.deepinfo.com/v1/lookup/dns?domain=www.github.com&type=CNAME`

The CNAME record of www.github.com: the name it is an alias of (github.com.).

Example 6 of 13 in **Record Types** · [DNS Lookup Examples](/reference/lookup/dns/examples/) · endpoint: [DNS](/reference/lookup/dns/)

Tags: `param` `domain` · `param` `type` · `value` `www.github.com` · `value` `CNAME`

Asks for the `CNAME` record of `www.github.com`.

A `CNAME` makes one name an alias of another. The answer is a single record: `www.github.com` is an alias of `github.com.` (with the trailing dot of a fully qualified name).

## Request

| Parameter | In | Value |
|---|---|---|
| `domain` | query | `www.github.com` |
| `type` | query | `CNAME` |

```bash
curl 'https://api.deepinfo.com/v1/lookup/dns?domain=www.github.com&type=CNAME' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

## Response

### 200 · OK

`Content-Type: application/json` · `ratelimit-limit: 100000` · `ratelimit-remaining: 99994` · `ratelimit-reset: 38` · `x-ratelimit-limit-minute: 100000` · `x-ratelimit-remaining-minute: 99994` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "fqdn": "www.github.com",
  "requested_types": [
    "CNAME"
  ],
  "responses": [
    {
      "type": "CNAME",
      "conn_status": "success",
      "rcode": "NOERROR",
      "raw": "www.github.com. 1971 IN CNAME github.com.",
      "values": [
        "github.com."
      ],
      "server": "8.8.8.8"
    }
  ],
  "servers": [
    "8.8.8.8"
  ],
  "check_date": "2026-09-24T07:48:22Z"
}
```

## Related Examples

- [A Host Name Behind a CNAME](/reference/lookup/dns/examples/www-a-cname/)
- [TXT Records](/reference/lookup/dns/examples/type-txt/)
- [SOA Record: Zone Authority](/reference/lookup/dns/examples/type-soa/)
- [NS Records: Name Servers](/reference/lookup/dns/examples/type-ns/)
- [CAA Records: Allowed Certificate Authorities](/reference/lookup/dns/examples/type-caa/)
- [MX Records: Mail Servers](/reference/lookup/dns/examples/type-mx/)
